Subject: Re: bug#38600: Unbound variable for some package --show invocations.

From: Efraim Flashner <[email-masked]>
Date: Mon, 16 Dec 2019 11:41:20 +0200

On Sun, Dec 15, 2019 at 03:22:02PM -0800, Jacob MacDonald wrote:
> Yes, though interestingly I can't reproduce in a development tree at
> the commit used when I submitted the report
> (9f9520a1299fccd8508d03ce0c9280c6e0030207). In summary:
> 
> Error occurs:
> 1. In 9f9520a1299fccd8508d03ce0c9280c6e0030207
> 2. In 00386d3430f12710997f17091a55c07323ff138c
> 3. In 00386d3430f12710997f17091a55c07323ff138c after running guix pull
> once again (this did cause a rebuild of compute-guix-derivation)
> Error does not occur:
> In the Guix source tree (using the pre-inst-env script) @
> 9f9520a1299fccd8508d03ce0c9280c6e0030207
> 
> Would it be useful to compare the hashes for packages I build manually
> to hashes of the packages from the substitute server? If so, what
> packages should I check and what's the easiest way (and is guix
> challenge useful in this situation [forgive me, I'm pretty unfamiliar
> with debugging this kind of error in Guix])?

I think it's more likely that it's a transitive error and while it
shouldn't have happened it's probably not worth worrying about.

> 
> On Sun, Dec 15, 2019 at 8:38 AM Efraim Flashner <[email-masked]> wrote:
> >
> > If you run 'guix pull' again do you still get the same errors?
> >
> > --
> > Efraim Flashner   <[email-masked]>   אפרים פלשנר
> > GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> > Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted